%define upstream_name    Text-Roman
%define upstream_version 3.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Allows conversion between Roman and Arabic algarisms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package supports both conventional Roman algarisms (which range from 1 to
3999) and Milhar Romans, a variation which uses a bar across the algarism to
indicate multiplication by 1,000. For the purposes of this module, acceptable
syntax consists of an underscore suffixed to the algarism e.g. IV_V = 4,005.
The term Milhar apparently derives from the Portuguese word for "thousands" and
the range of this notation extends the range of Roman numbers to 3999 x 1000 +
3999 = 4,002,999.

Note: the functions in this package treat Roman algarisms in a case-insensitive
manner such that "VI" == "vI" == "Vi" == "vi".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README eg
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.500.0-9.mga9
+ Revision: 1806379
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.500.0-8.mga8
+ Revision: 1497712
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.500.0-7.mga7
+ Revision: 1272157
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.500.0-6.mga6
+ Revision: 1035101
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.500.0-5.mga6
+ Revision: 944779
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.500.0-4.mga5
+ Revision: 751190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.500.0-3.mga5
+ Revision: 686648
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.500.0-2.mga4
+ Revision: 527405
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.500.0-1.mga4
+ Revision: 440013
- update to 3.5

* Sun Jan 13 2013 umeabot <umeabot> 3.300.0-2.mga3
+ Revision: 374159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.300.0-1.mga1
+ Revision: 31335
- mageia rebuild
- imported package perl-Text-Roman


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 3.300.0-1mdv2010.0
+ Revision: 405714
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.3-6mdv2009.0
+ Revision: 241990
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.3-4mdv2008.0
+ Revision: 87029
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.3-3mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.3-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.3-1mdk
- first mdk release

